/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.entity;

import java.util.HashMap;
import java.util.TreeSet;
import p2pMapReduce.mapreduceModule.conf.Configuration;
import p2pMapReduce.nodeModule.NodeModuleIF;
import p2pMapReduce.mapreduceModule.TaskAttemptID;
import p2pMapReduce.mapreduceModule.TaskID;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class ReduceTask extends Task {

    /**
     * All the successful map task attempts known at the time this task
     * was submitted.
     * Required for input retrieving.
     */
    private HashMap<TaskID, TreeSet<JobTask>> successfullMapTaskAttempt;

    public ReduceTask(String taskAttID) {
        super(taskAttID);
    }

    public ReduceTask(Configuration conf, TaskAttemptID taskAttID, HashMap<TaskID, TreeSet<JobTask>> successfullMapTaskAttempt) {
        super(conf, taskAttID);
        this.successfullMapTaskAttempt = successfullMapTaskAttempt;
    }

    @Override
    public TaskRunner createTaskRunner(SlaveTask slaveTask, NodeModuleIF nodeModule) {
        return new ReduceTaskRunner(slaveTask, nodeModule);
    }

    public HashMap<TaskID, TreeSet<JobTask>> getSuccessfullMapTaskAttempt() {
        return successfullMapTaskAttempt;
    }
}
