/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.entity;

import p2pMapReduce.entity.Task.TaskStatus;

/**
 * A slave view of a task.
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class SlaveTask {

    /**
     * The associated task
     */
    private Task task;
    /**
     * The id of the primary node
     */
    private String primaryID;
    private Task.TaskStatus taskStatus;

    public SlaveTask(Task task, String primaryID) {
        this.task = task;
        this.primaryID = primaryID;
        this.taskStatus = TaskStatus.ASSIGNED;
    }

    public String getPrimaryID() {
        return primaryID;
    }

    public void setPrimaryID(String primaryID) {
        this.primaryID = primaryID;
    }

    public String getTaskID() {
        return task.getTaskAttIDAsString();
    }

    public Task getTask() {
        return task;
    }

    public void setTask(Task task) {
        this.task = task;
    }

    public TaskStatus getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(TaskStatus taskStatus) {
        this.taskStatus = taskStatus;
    }

    @Override
    public String toString() {
        return "SlaveTask [TaskID=" + task.getTaskAttIDAsString() + " JobID=" + task.getJobID() + " taskStatus=" + taskStatus + " primaryID=" + primaryID + "]";
    }
}
