/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import p2pMapReduce.util.P2PMapReduceConfig;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class IDRendererFactory {

    private static NodeIDRenderer nodeIDRenderer;
    private static JobIDRenderer jobIDRenderer;
    private static TaskAttIDRenderer taskAttIDRenderer;
    private static boolean inited;

    static {
        init();
    }

    private static void init() {
        if (!inited) {
            String nodeidLength = P2PMapReduceConfig.getConfiguration().getProperty(P2PMapReduceConfig.GUI_NODEID_LENGTH);
            nodeIDRenderer = new NodeIDRenderer(Integer.parseInt(nodeidLength));
            String jobidLength = P2PMapReduceConfig.getConfiguration().getProperty(P2PMapReduceConfig.GUI_JOBID_LENGTH);
            jobIDRenderer = new JobIDRenderer(Integer.parseInt(jobidLength));
            taskAttIDRenderer = new TaskAttIDRenderer(jobIDRenderer);
            inited = true;
        }
    }

    public static JobIDRenderer getJobIDRenderer() {
        init();
        return jobIDRenderer;
    }

    public static NodeIDRenderer getNodeIDRenderer() {
        init();
        return nodeIDRenderer;
    }

    public static TaskAttIDRenderer getTaskAttIDRenderer() {
        init();
        return taskAttIDRenderer;
    }
}
