/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.Window;

/**
 *
 * @author Francesco
 */
public class Locator {

    public static final int CENTER = 0;

    public static void locate(Component c, Container parent, int position) {
        switch (position) {
            case CENTER:
                locateCenter(c, parent);
                break;
            default:
                locateCenter(c, parent);
        }
    }

    public static void locateCenter(Window window) {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int screenW = (int) screenSize.getWidth();
        int screenH = (int) screenSize.getHeight();
        int x = (screenW - window.getWidth()) / 2;
        int y = (screenH - window.getHeight()) / 2;
        window.setLocation(x, y);
    }

    public static void locateCenter(Component c) {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int screenW = (int) screenSize.getWidth();
        int screenH = (int) screenSize.getHeight();
        int x = (screenW - c.getWidth()) / 2;
        int y = (screenH - c.getHeight()) / 2;
        c.setLocation(x, y);
    }

    public static void locateUpRight(Component c) {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int screenW = (int) screenSize.getWidth();
        int screenH = (int) screenSize.getHeight();
        int y = 0;
        int x = screenW - c.getWidth();
        c.setLocation(x, y);
    }

    public static void locateCenter(Component c, Container parent) {
        int x = parent.getX() + (parent.getWidth() - c.getWidth()) / 2;
        int y = parent.getY() + (parent.getHeight() - c.getHeight()) / 2;
        c.setLocation(x, y);
    }

    public static void locateDownRight(Component c, Container parent) {
        int y = parent.getY() + (parent.getHeight() - c.getHeight());
        int x = parent.getX() + (parent.getWidth() - c.getWidth());
        c.setLocation(x, y);
    }

    public static void locateUpRight(Component c, Container parent) {
        int y = 0;
        int x = parent.getX() + (parent.getWidth() - c.getWidth());
        c.setLocation(x, y);
    }
}
