/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import java.util.Iterator;
import java.util.Set;
import javax.swing.DefaultListModel;
import p2pMapReduce.networkModule.NodeInfo;

/**
 * A list model for node info
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class NodeInfoListModel extends DefaultListModel {

    final Set<NodeInfo> nodeInfos;

    public NodeInfoListModel(Set<NodeInfo> nodeInfos) {
        this.nodeInfos = nodeInfos;
    }

    public void update() {
        super.fireContentsChanged(this, 0, nodeInfos.size());
    }

    @Override
    public int getSize() {
        return nodeInfos.size();
    }

    @Override
    public Object getElementAt(int index) {
        int i = 0;
        synchronized (nodeInfos) {
            for (Iterator<NodeInfo> it = nodeInfos.iterator(); it.hasNext();) {
                NodeInfo nodeInfo = it.next();
                if (i == index) {
                    return nodeInfo;
                }
                i++;
            }
        }
        System.out.println("GUI:richiesto elemento in posizione:" + index + " con dimensione " + nodeInfos.size());
        return null;
    }
}
