/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JList;
import p2pMapReduce.impl.networkModule.jxta.JxtaNodeInfo;
import p2pMapReduce.networkModule.NodeInfo;
import p2pMapReduce.test.networkModule.AdvertisementViewer;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class NodeListMouseListener extends MouseAdapter {

    public NodeListMouseListener() {
    }

    @Override
    public void mouseClicked(MouseEvent e) {
        if (e.getButton() == MouseEvent.BUTTON1 && e.getClickCount() > 1) {
            JList source = (JList) e.getSource();
            NodeInfo ni = (NodeInfo) source.getSelectedValue();
            show(ni);
        }
    }

    private void show(NodeInfo selected) {
        AdvertisementViewer advv = new AdvertisementViewer("Node: " + selected.getID());
        advv.addADV(((JxtaNodeInfo) selected).getNodeADV());
        advv.setVisible(true);
    }
}
