/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import java.net.URL;
import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class Resource {

    /**
     * Path of images dir
     */
    private static final String PATH = "/p2pMapReduce/gui/images";
    private static Resource uniqueInstance;

    private Resource() {
    }

    public static Resource getInstance() {
        if (uniqueInstance == null) {
            uniqueInstance = new Resource();
        }

        return uniqueInstance;
    }

    public URL getResource(String nome) {

        URL ris = getClass().getResource(PATH + "/" + nome);
        return ris;
    }

//TODO testare prima se funziona da JWS
//    public Image getImage(String nome) {
//        try {
//            Image ris = ImageIO.read(getClass().getResource(nome));
//            return ris;
//        } catch (IOException ex) {
//            ex.printStackTrace();
//            LoggerManager.log(ex);
//        }
//        return null;
//    }

    public Icon getIcon(String nome) {
        return new ImageIcon(getResource(nome));
    }

    public ImageIcon getImageIcon(String nome) {
        return new ImageIcon(getResource(nome));
    }
}
