/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import javax.swing.SwingUtilities;
import p2pMapReduce.Version;
import p2pMapReduce.nodeModule.NodeModuleStarter;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class StartFrame extends javax.swing.JFrame {

    public static void main(String[] args) {
        StartFrame sf = new StartFrame();
        Locator.locateCenter(sf);
        sf.setVisible(true);
    }

    /** Creates new form StartFrame */
    public StartFrame() {
        setTitle("P2P-MapReduce " + Version.VERSION_NUMBER);
        setIconImage(Resource.getInstance().getImageIcon(GUI_Constants.LOGO_IMAGE).getImage());
        initComponents();

    }

    public String getInfo() {
        return "Version " + Version.VERSION_NUMBER + "\n"
                + "(c) 2008-2011\n"
                + "University of Calabria\n"
                + "Dept. of Eletronics, Computer Science and Systems\n"
                + "Rende, Italy";
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        javax.swing.JTextArea infoTA = new javax.swing.JTextArea();
        javax.swing.JPanel jPanel1 = new javax.swing.JPanel();
        startB = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setResizable(false);

        jLabel1.setFont(new java.awt.Font("Ubuntu", 1, 18)); // NOI18N
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("P2P-MapReduce");

        infoTA.setColumns(20);
        infoTA.setEditable(false);
        infoTA.setFont(new java.awt.Font("Times New Roman", 0, 16)); // NOI18N
        infoTA.setRows(5);
        infoTA.setText(getInfo());
        infoTA.setOpaque(false);

        startB.setText("Start GUI");
        startB.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        startB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                startBActionPerformed(evt);
            }
        });
        jPanel1.add(startB);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE))
                .addContainerGap())
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(layout.createSequentialGroup()
                    .addContainerGap()
                    .addComponent(infoTA, javax.swing.GroupLayout.DEFAULT_SIZE, 376, Short.MAX_VALUE)
                    .addContainerGap()))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 63, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 127, Short.MAX_VALUE)
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                    .addContainerGap(101, Short.MAX_VALUE)
                    .addComponent(infoTA, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGap(58, 58, 58)))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void startBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_startBActionPerformed

        dispose();

        Runnable runnable = new Runnable() {

            public void run() {
                try {
                    NodeModuleStarter.startNode();
                } catch (Throwable t) {
                    t.printStackTrace();
                }
            }
        };

        new Thread(runnable).start();



    }//GEN-LAST:event_startBActionPerformed
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton startB;
    // End of variables declaration//GEN-END:variables
}
