/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import java.awt.Color;
import javax.swing.BorderFactory;
import p2pMapReduce.entity.SlaveTask;
import p2pMapReduce.mapreduceModule.TaskID;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class TaskSummaryP extends javax.swing.JPanel {

    /** Creates new form PrimaryJobSummaryP */
    public TaskSummaryP(SlaveTask slaveTask) {

        setBorder(BorderFactory.createMatteBorder(0, 0, 1, 0, Color.BLACK));

        initComponents();

        JobIDRenderer jobIDRenderer = IDRendererFactory.getJobIDRenderer();
        TaskAttIDRenderer taskAttIDRenderer = IDRendererFactory.getTaskAttIDRenderer();
        String taskAttID = slaveTask.getTask().getTaskAttIDAsString();
        char type = TaskID.getRepresentingCharacter(slaveTask.getTask().getTaskType());
        int charIndex = taskAttID.lastIndexOf(type);

        jobIdLabel.setText(" " + jobIDRenderer.render(slaveTask.getTask().getTaskID().getJobID()));
        taskIDLabel.setText(taskAttID.substring(charIndex));
        stateLabel.setText(slaveTask.getTaskStatus().toString());

    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jobIdLabel = new javax.swing.JLabel();
        stateLabel = new javax.swing.JLabel();
        taskIDLabel = new javax.swing.JLabel();

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jobIdLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 240, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(taskIDLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 233, Short.MAX_VALUE)
                .addGap(18, 18, 18)
                .addComponent(stateLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(147, 147, 147))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(stateLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 21, Short.MAX_VALUE)
            .addComponent(jobIdLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 21, Short.MAX_VALUE)
            .addComponent(taskIDLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 21, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jobIdLabel;
    private javax.swing.JLabel stateLabel;
    private javax.swing.JLabel taskIDLabel;
    // End of variables declaration//GEN-END:variables
}
