/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.impl.networkModule.jxta;

import p2pMapReduce.networkModule.NodeInfo;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class JxtaNodeInfo implements NodeInfo {

    NodeAdvertisement nodeADV;

    public JxtaNodeInfo(NodeAdvertisement nodeADV) {
        this.nodeADV = nodeADV;
    }

    /**
     * PeerID
     * @return
     */
    public String getID() {
        return nodeADV.getPeerID();
    }

    public int getRole() {
        return nodeADV.getRole();
    }

    public void setRole(int role) {
        nodeADV.setRole(role);
    }

    public void setLoad(double load) {
        nodeADV.setLoad(load);
    }

    public double getLoad() {
        return nodeADV.getLoad();
    }

    public boolean isAvailable() {
        return nodeADV.isAvailable();
    }

    public String getIpAddress() {
        return nodeADV.getIpAddress();
    }

    public int getFtpPort() {
        return nodeADV.getFtpPort();
    }

    public void setNodeADV(NodeAdvertisement nodeADV) {
        this.nodeADV = nodeADV;
    }

    public NodeAdvertisement getNodeADV() {
        return nodeADV;
    }

    public long getVersion() {
        return nodeADV.getVersion();
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final JxtaNodeInfo other = (JxtaNodeInfo) obj;
        return getID().equals(other.getID());
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 47 * hash + (this.getID() != null ? this.getID().hashCode() : 0);
        return hash;
    }

    @Override
    public String toString() {
        return nodeADV.toString();
    }
}
