/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.mapreduceModule.output;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import p2pMapReduce.mapreduceModule.TaskAttemptContext;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class LineRecordWriter<K, V> extends RecordWriter<K, V> {

    PrintWriter pw;
    //TODO provide a mechanism to configure keyValueSeparator
    String keyValueSeparator;

    public LineRecordWriter(TaskAttemptContext context, String outDir) throws IOException {
        String outputPath = outDir + "/" + "output_" + context.getTaskAttemptID().getTaskID().getId();
        keyValueSeparator = context.getConfiguration().get(TaskAttemptContext.MAP_OUTPUT_KEY_VALUE_SEPARATOR_ATTR);
        if (keyValueSeparator == null) {
            keyValueSeparator = " ";
        }
        File f = new File(outputPath);
        f.getParentFile().mkdirs();
        pw = new PrintWriter(new FileWriter(f), true);
    }

    @Override
    public void write(K key, V value) throws IOException, InterruptedException {
        pw.println(key.toString() + keyValueSeparator + value.toString());
    }

    @Override
    public void close(TaskAttemptContext context) throws IOException, InterruptedException {
        pw.close();
    }
}
