/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package p2pMapReduce.mapreduceModule.output;

import java.io.BufferedOutputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.logging.Logger;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class PartitionFile {

    public static final String LINE_SEPARATOR = System.getProperty("line.separator");
    private static final transient Logger LOG = Logger.getLogger(PartitionFile.class.getName());
    private String LOG_PREFIX;
    private String filePath;
    private File file;
    boolean inited;
    private DataOutputStream dos;

    public PartitionFile(String filePath) throws FileNotFoundException, IOException {
        this.filePath = filePath;
        this.file = new File(filePath);
        LOG_PREFIX = "FileSplit for " + filePath + ": ";

    }

    public File getFile() {
        return file;
    }

    public DataOutputStream getDataOutputStream() throws FileNotFoundException, IOException {
        if (!inited) {
            init();
        }
        return dos;
    }

    private void init() throws FileNotFoundException, IOException {
        file.getParentFile().mkdirs();
//        file.createNewFile();
        dos = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(file)));
        inited = true;
    }

    public void close() throws IOException {
        if (dos != null) {
            dos.close();
        }
    }

    @Override
    public String toString() {
        return LOG_PREFIX;
    }
}
