/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.mapreduceModule.output;

import java.io.IOException;
import p2pMapReduce.mapreduceModule.Job;
import p2pMapReduce.mapreduceModule.JobContext;
import p2pMapReduce.mapreduceModule.MRJobConfig;
import p2pMapReduce.mapreduceModule.OutputCommitter;
import p2pMapReduce.mapreduceModule.TaskAttemptContext;
import p2pMapReduce.mapreduceModule.conf.Configuration;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class TextFileOutputFormat<K, V> extends OutputFormat<K, V> {

    public static final String OUTPUT_PATH = "mapreduce.output.output_path";

    public static void addOutputPath(Job job, String string) {
        throw new UnsupportedOperationException("Not yet implemented");
    }

    @Override
    public void checkOutputSpecs(JobContext context) throws IOException, InterruptedException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public RecordWriter<K, V> getRecordWriter(TaskAttemptContext context) throws IOException, InterruptedException {
        Configuration conf = context.getConfiguration();
        String outputDirPath = context.getWorkingDirectory() + "/" + conf.get(MRJobConfig.REDUCE_OUTPUT_DIR_ATTR);
        return new LineRecordWriter<K, V>(context, outputDirPath);
    }

    @Override
    public OutputCommitter getOutputCommitter(TaskAttemptContext context) throws IOException, InterruptedException {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
