/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.networkModule;

import java.io.IOException;
import java.io.Serializable;

/**
 * A connection between two nodes.
 * Only {@link Serializable} object can be sent through ConnectionIF object.
 * 
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public interface ConnectionIF {

    /**
     * Close the connection
     * 
     * @throws IOException
     */
    void close() throws IOException;

    /**
     * Used to send a serializable object through this connection
     *
     * @param o
     * @throws IOException
     */
    void send(Serializable o) throws IOException;

    /**
     *
     * @return
     * @throws IOException
     * @deprecated not used
     */
     Serializable receive() throws IOException;

    NodeInfo getRemoteNodeInfo();

    /**
     * Indicate if the connection is no longer capable to send message
     * and receive messages
     * @return
     */
    boolean isBroken();
    //void setEventNotifier(EventNotifier eventNotifier);
}
