/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.networkModule;

import java.io.Serializable;

/**
 * Contains all the basic information about a node
 * 
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public interface NodeInfo extends Serializable {


    String getID();

    /**
     * Role of a node.
     * @return One value between:
     * {@link Constants#MASTER }, {@link Constants#SLAVE }, {@link Constants#USER }
     */
    int getRole();
    /**
     * The current load of a node
     * @return
     */
    double getLoad();

    void setRole(int role);
    void setLoad(double load);

    /**
     * Ip address of node ftp server
     * @return
     */
    String getIpAddress();
    /**
     * The port on which the ftp server listen
     * @return
     */
    int getFtpPort();

    boolean isAvailable();

}
