/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.nodeModule;

import java.io.Serializable;
import java.util.Comparator;
import p2pMapReduce.mapreduceModule.TaskAttemptID;
import p2pMapReduce.entity.JobTask;

/**
 * Compares {@link JobTask} respect to their {@link TaskAttemptID }.
 * 
 * NOTE:
 * must implement Serializable interface to provide serialization
 * for the map {@link JobManager#successfullMapTaskAttempt}
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
class JobTaskComparator implements Comparator<JobTask>, Serializable {

    public JobTaskComparator() {
    }

    public int compare(JobTask o1, JobTask o2) {
        TaskAttemptID taskAtto1 = o1.getTask().getTaskAttID();
        TaskAttemptID taskAtto2 = o2.getTask().getTaskAttID();

        return taskAtto1.compareTo(taskAtto2);
    }
}
