/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.nodeModule;

import p2pMapReduce.networkModule.NodeInfo;
import java.util.Comparator;

/**
 * Order NodeInfo by increasing load value
 * 
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class NodeLoadComparator implements Comparator<NodeInfo> {

    public int compare(NodeInfo o1, NodeInfo o2) {
        if (o1.equals(o2)) {
            return 0;
        } else if (o1.getLoad() < o2.getLoad()) {
            return -1;
        } else if (o2.getLoad() < o1.getLoad()) {
            return 1;
        } else {
            return Math.random() < 0.5 ? -1 : 1;
        }
    }
}
