/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.nodeModule;

import java.io.IOException;
import p2pMapReduce.networkModule.NetworkConfiguration;
import p2pMapReduce.impl.nodeModule.NodeModuleImpl;

/**
 * Provides concrete instance of {@link NodeModuleIF}
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class NodeModuleFactory {

    /**
     * Creates a new {@link NodeModuleIF} object with the provided network
     * configuration
     * @param nc
     * @return
     * @throws IOException
     */
    public static NodeModuleIF createNodeModule(NetworkConfiguration nc) throws IOException{
        return new NodeModuleImpl(nc);
    }
}
