/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.nodeModule.nodeFsm;



/**

 * Base class for a {@link FSM} state

 * 

 * @author Francesco De Luca f.deluca86@gmail.com

 */

public abstract class State {



    /**

     * The method to call each time an {@link FSM} transit

     * to this state, after leaving the previous state

     */

    protected void entryAction() {

    }





    /**

     * The method to call each time an {@link FSM} leave

     * this state, before to enter the new state

     */

    protected void exitAction() {

    }

}//State

