/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.nodeModule.nodeFsm;

import java.util.LinkedList;
import java.util.Random;
import java.util.logging.Level;
import java.util.logging.Logger;
import p2pMapReduce.mapreduceModule.JobStatus;
import p2pMapReduce.nodeModule.JobManager;
import p2pMapReduce.entity.JobTask;
import p2pMapReduce.entity.Task;

/**
 *
 * @deprecated not used
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public abstract class UserState extends State {

    private static final transient Logger LOG = Logger.getLogger(UserState.class.getName());
    public static enum StateName {

    }
    

    public static int getNextTimeout(int minTimeout, int maxTimeout) {
        Random r = new Random();
        return minTimeout + r.nextInt(maxTimeout - minTimeout);
    }

    private static void logWarning(String name) {
        StackTraceElement stackTraceElems[] = Thread.currentThread().getStackTrace();
        StringBuilder sb = new StringBuilder();
        sb.append("Calling a NodeState method: ").append(name).append(" from\n");
        for (int i = 1; i < stackTraceElems.length; i++) {
            StackTraceElement ste = stackTraceElems[i];
            sb.append(ste.toString()).append("\n");

        }

        LOG.log(Level.WARNING, sb.toString());
    }

    /**
     * A generic timeout method.
     * The param object is useful to handle different timeout event
     * @param param
     */
    public void timeout(Object param) {
        logWarning("timeout");
    }


    public void taskCompleted(String taskAttID, Task.TaskStatus taskStatus) {
        logWarning("taskCompleted");
    }

    public void jobCompleted(String jobID, JobStatus.State jobState) {
        logWarning("jobCompleted");
    }


    /**
     * Received by {@link JobManager}.
     * Notify the success state of {@code reduceJT} output retrieving by user
     * node.
     * 
     * @param reduceJT
     * @param completionState
     */
    public void outputRetrieved(JobTask reduceJT, boolean completionState) {
        logWarning("outputRetrieved");
    }


    public synchronized void primaryMasterFailure(String primaryID) {
        logWarning("primaryMasterFailure");
    }


    public synchronized void primaryUpdate(String jobID, String updatedPrimaryID, double updatedPrimaryLoad) {
        logWarning("primaryUpdate");
    }

    public void jobUpdate(String jobID, LinkedList<String> updatedBackupMasterList, LinkedList<JobTask> updatedJobTaskList) {
        logWarning("jobUpdate");
    }

}
