/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.util;

import java.io.IOException;
import java.util.Properties;

/**
 * An utility class to access the framework configuration parameters
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class P2PMapReduceConfig {

    public static final String GUI_ATTR = "gui";
    public static final String LOGGING_LEVEL = "logging.level";
    //Private use
    public static final String GUI_OUTPUT_DEFAULT = "gui.output.default";
    public static final String GUI_OUTPUT_REDIRECT = "gui.output.redirect";
    public static final String GUI_JOBID_LENGTH = "gui.jobid.length";
    public static final String GUI_NODEID_LENGTH = "gui.nodeid.length";
    public static final String JXTA_LOGGING = "net.jxta.logging.Logging";
    private static final Properties configurationProp;

    static {
        try {
            configurationProp = PropertiesLoader.load();
            //Sets defaults for non required parameters
            configurationProp.setProperty(GUI_ATTR, configurationProp.getProperty(GUI_ATTR, "true"));
            configurationProp.setProperty(GUI_OUTPUT_REDIRECT, configurationProp.getProperty(GUI_OUTPUT_REDIRECT, "true"));
            configurationProp.setProperty(GUI_OUTPUT_DEFAULT, configurationProp.getProperty(GUI_OUTPUT_DEFAULT, "false"));
            configurationProp.setProperty(GUI_JOBID_LENGTH, configurationProp.getProperty(GUI_JOBID_LENGTH, "11"));
            configurationProp.setProperty(GUI_NODEID_LENGTH, configurationProp.getProperty(GUI_NODEID_LENGTH, "6"));
            configurationProp.setProperty(LOGGING_LEVEL, configurationProp.getProperty(LOGGING_LEVEL, "WARNING"));
            configurationProp.setProperty(JXTA_LOGGING, configurationProp.getProperty(JXTA_LOGGING, "SEVERE"));
            
            ReferenceHolder.getInstance().persist(configurationProp);
        } catch (IOException ex) {
            throw new RuntimeException(ex);
        }
    }

    public static Properties getConfiguration() {


        return configurationProp;
    }
}
