/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

/**
 * An utility class to load configuration parameters from
 * the properties file {@code "conf/P2PMapReduce.properties"}
 * 
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class PropertiesLoader {

    private static final String PROPERTIES_FILE = "conf/P2PMapReduce.properties";

    /**
     *
     * @return The {@link Properties} instance with the load properties
     * @throws IOException
     */
    public static Properties load() throws IOException {
        File f = new File(PROPERTIES_FILE);
        Properties ris = new Properties();
        ris.load(new FileInputStream(f));
        return ris;
    }
}
